Bug 133831 - udev is using sr0 instead of scd0
udev is using sr0 instead of scd0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-27 15:56 EDT by Dams
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: udev-032-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 09:25:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2004-09-27 15:56:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Galeon/1.3.17

Description of problem:
Udev should create/use scdX instead of srX devices.

<Anvil> notting : [last time it worked] udev was creating sr0 when
loading sr_mod 
<Anvil> notting : bug again ?
<notting> yeah

Sorry if it's a bit short but heh..

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Grab an scsi or usb cdrom device.
2. Plug it. And modprobe sr_mod if it's not autoloaded.
3. ls -l /dev/cdrom
    

Actual Results:  /dev/cdrom points to /dev/sr0

Expected Results:  /dev/cdrom should point to /dev/scd0

Additional info:

MAKEDEV knows nothing about sr0, but easily create scd0 and friends.
For consistency, udev should forget srX devices.
Comment 1 Harald Hoyer 2004-09-28 05:54:38 EDT
well, well, I have also bugreports, which want sr? back...
Comment 2 Dams 2004-09-28 09:12:07 EDT
I dont care the one you want to use. But just be consistent. 
udev shouldnt use sr? while MAKEDEV only knows about scd?.

So, please, make a choice. /me votes for keeping scd?.
Comment 3 Harald Hoyer 2004-09-28 09:25:26 EDT
done..
Comment 4 Dams 2004-09-28 10:02:53 EDT
(rereading my last comment). Sorry if i sounded a bit harsh. I only
want to say that whatever was chosen, both udev and makedev should use it.
Anyway, Thanks.

Note You need to log in before you can comment on or make changes to this bug.